#pragma once
#include "view.h"
class graphView :
	public view
{
public:
	graphView();
	~graphView();

	void render(void);
	void setState(void);
	void drawGyro(int slot, float scale);
	void drawSet(int slot, int line, int ivar, float yscale, char *name);
	void drawLog(int slot);
	void drawImaging(int slot);
	void drawSeq(int slot, int ivar);
	void drawState(int slot, int line, int ivar, float yscale, char *name);
	void drawProfile(int slot, int axis);
	void drawGrid(int slot);
	void linePen(int line,int inrange=1);
	void profilePen(int axis,int isample);
	void drawLegend(int slot, int line, int ivar, float yscale, char *name);

	int scx(float t);
	int scy(float y,float ymin, float ymax,int slot);
	CBrush greybrush;

};
